/*
  alt_hooks.h - override for Altera's os/alt_hooks.h

  Part of FreeRTOS NIOS2 port - Copyright (C) 2006 Kolja Waschk

  This port is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This port is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  A special exception to the GPL can be applied should you wish to distribute
  a combined work that includes this port, without being obliged to provide
  the source code for any proprietary components.  See the licensing section 
  of http://www.FreeRTOS.org for full details of how and when the exception
  can be applied.

  You should have received a copy of the GNU General Public License
  along with FreeRTOS.org; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __ALT_HOOKS_H__
#define __ALT_HOOKS_H__

extern void vPortTick(void);
extern void vPortYieldASM(void);
extern volatile int xPortTicked;

#define ALT_OS_TIME_TICK() vPortTick()
#define ALT_OS_INIT()      while(0)
#define ALT_OS_STOP()      while(0)
#define ALT_OS_INT_ENTER() do { xPortTicked=0; } while(0)
#define ALT_OS_INT_EXIT()  do { if(xPortTicked) vPortYieldASM(); } while(0)

#endif /* __ALT_HOOKS_H__ */
